var strings = require('./lib/strings');

function datum(str, param) {
    if (!param) {
        param = "$3.$2.$1";
    }

    /*
    this.context.Meta.Title ist hier z.B. möglich
    */

    return strings.replace(str, /^([0-9]+)[^0-9]+([0-9]+)[^0-9]+([0-9]+).*/, param)
    // return str.replace(/^([0-9]+)[^0-9]+([0-9]+)[^0-9]+([0-9]+).*/, param)
}

module.exports = datum;